Bug 493931 - nouveau frees DMA memory with wrong function.
nouveau frees DMA memory with wrong function.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 06:25 EDT by David Woodhouse
Modified: 2010-01-04 14:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-04 14:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2009-04-03 06:25:30 EDT
Apr  3 00:15:31 macbook kernel: [drm] Unhandled PFIFO_INTR - 0x00000010
Apr  3 00:15:31 macbook kernel: [drm] Allocating FIFO number 1
Apr  3 00:15:31 macbook kernel: [drm] nouveau_fifo_alloc: initialised FIFO 1
Apr  3 00:15:32 macbook kernel: pci 0000:01:00.0: Invalid ROM contents
Apr  3 00:15:32 macbook kernel: [drm] nouveau_fifo_free: freeing fifo 1
Apr  3 00:15:32 macbook kernel: ------------[ cut here ]------------
Apr  3 00:15:32 macbook kernel: WARNING: at lib/dma-debug.c:479 check_unmap+0x2b4/0x3dd() (Not tainted)
Apr  3 00:15:32 macbook kernel: Hardware name: MacBookPro4,1
Apr  3 00:15:32 macbook kernel: pci 0000:01:00.0: DMA-API: device driver frees DMA memory with wrong function [device address=0x000000007f445000] [size=4096 bytes] [mapped as page] [unmapped as single
]
Apr  3 00:15:32 macbook kernel: Modules linked in: tun rfcomm sco bridge stp llc bnep l2cap sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_tabl
e vfat fat dm_multipath kvm_intel kvm uinput arc4 ecb iwlagn snd_hda_codec_realtek snd_hda_intel snd_hda_codec iwlcore firewire_ohci uvcvideo applesmc firewire_core hwmon snd_hwdep snd_pcm rfkill vide
odev video snd_timer joydev input_polldev pcspkr v4l1_compat btusb v4l2_compat_ioctl32 bcm5974 mbp_nvidia_bl usb_storage sky2 lib80211 snd crc_itu_t mac80211 i2c_i801 iTCO_wdt iTCO_vendor_support soun
dcore cfg80211 bluetooth output snd_page_alloc ata_generic pata_acpi nouveau drm i2c_core [last unloaded: microcode]
Apr  3 00:15:32 macbook kernel: Pid: 2928, comm: Xorg Not tainted 2.6.29.1-37.rc1.fc11.x86_64 #1
Apr  3 00:15:32 macbook kernel: Call Trace:
Apr  3 00:15:32 macbook kernel: [<ffffffff8104d02f>] warn_slowpath+0xbc/0xf0
Apr  3 00:15:32 macbook kernel: [<ffffffff813c3958>] ? _spin_lock_irqsave+0x7d/0x8b
Apr  3 00:15:32 macbook kernel: [<ffffffff811d4305>] ? get_hash_bucket+0x28/0x34
Apr  3 00:15:32 macbook kernel: [<ffffffff811d2cad>] ? swiotlb_virt_to_bus+0x1f/0x23
Apr  3 00:15:32 macbook kernel: [<ffffffff811d4bb0>] check_unmap+0x2b4/0x3dd
Apr  3 00:15:32 macbook kernel: [<ffffffff810dba4e>] ? kfree+0xfa/0x114
Apr  3 00:15:32 macbook kernel: [<ffffffff811d4e26>] debug_dma_unmap_page+0x50/0x52
Apr  3 00:15:32 macbook kernel: [<ffffffffa004bb9a>] nouveau_sgdma_takedown+0x88/0xe5 [nouveau]
Apr  3 00:15:32 macbook kernel: [<ffffffffa0044c67>] nouveau_close+0xe7/0x132 [nouveau]
Apr  3 00:15:32 macbook kernel: [<ffffffffa0044db4>] nouveau_lastclose+0x9b/0xa3 [nouveau]
Apr  3 00:15:32 macbook kernel: [<ffffffffa000ef22>] drm_lastclose+0x4c/0x2b6 [drm]
Apr  3 00:15:32 macbook kernel: [<ffffffffa000f672>] drm_release+0x4d9/0x513 [drm]
Apr  3 00:15:32 macbook kernel: [<ffffffff810e5493>] __fput+0xf9/0x1a3
Apr  3 00:15:32 macbook kernel: [<ffffffff810e5557>] fput+0x1a/0x1c
Apr  3 00:15:32 macbook kernel: [<ffffffff810e26c3>] filp_close+0x68/0x72
Apr  3 00:15:32 macbook kernel: [<ffffffff8104ed40>] put_files_struct+0x6c/0xc3
Apr  3 00:15:32 macbook kernel: [<ffffffff8104edd2>] exit_files+0x3b/0x40
Apr  3 00:15:32 macbook kernel: [<ffffffff81050791>] do_exit+0x213/0x89d
Apr  3 00:15:32 macbook kernel: [<ffffffff813c3591>] ? _spin_unlock_irq+0x30/0x3d
Apr  3 00:15:32 macbook kernel: [<ffffffff81050e9f>] do_group_exit+0x84/0xb4
Apr  3 00:15:32 macbook kernel: [<ffffffff8105a904>] get_signal_to_deliver+0x391/0x3af
Apr  3 00:15:32 macbook kernel: [<ffffffff8103d75d>] ? task_rq_unlock+0x11/0x13
Apr  3 00:15:32 macbook kernel: [<ffffffff81010499>] do_notify_resume+0x94/0x91c
Apr  3 00:15:32 macbook kernel: [<ffffffff81070333>] ? mark_lock+0x28/0x37f
Apr  3 00:15:32 macbook kernel: [<ffffffff8101783b>] ? native_sched_clock+0x2d/0x5a
Apr  3 00:15:32 macbook kernel: [<ffffffff81017095>] ? sched_clock+0x9/0xc
Apr  3 00:15:32 macbook kernel: [<ffffffff8106ee4f>] ? lock_release_holdtime+0x2c/0x11d
Apr  3 00:15:32 macbook kernel: [<ffffffff81058cb2>] ? do_tkill+0x122/0x153
Apr  3 00:15:32 macbook kernel: [<ffffffff81070915>] ? trace_hardirqs_on+0xd/0xf
Apr  3 00:15:32 macbook kernel: [<ffffffff813c3591>] ? _spin_unlock_irq+0x30/0x3d
Apr  3 00:15:32 macbook kernel: [<ffffffff8101138a>] ? sysret_check+0x46/0x81
Apr  3 00:15:32 macbook kernel: [<ffffffff810708e4>] ? trace_hardirqs_on_caller+0x12f/0x153
Apr  3 00:15:32 macbook kernel: [<ffffffff81094d14>] ? audit_syscall_entry+0x11e/0x14a
Apr  3 00:15:32 macbook kernel: [<ffffffff813c3151>] ? trace_hardirqs_on_thunk+0x3a/0x3f
Apr  3 00:15:32 macbook kernel: [<ffffffff81011401>] ? sysret_signal+0x5/0x109
Apr  3 00:15:32 macbook kernel: [<ffffffff810708e4>] ? trace_hardirqs_on_caller+0x12f/0x153
Apr  3 00:15:32 macbook kernel: [<ffffffff81011497>] sysret_signal+0x9b/0x109
Apr  3 00:15:32 macbook kernel: ---[ end trace 0889a91d981c13ef ]---
Apr  3 00:15:32 macbook gdm-binary[2855]: WARNING: GdmDisplay: display lasted 1.391197 seconds
Apr  3 00:15:32 macbook kernel: [drm] Unhandled PFIFO_INTR - 0x00000010
Apr  3 00:15:32 macbook kernel: [drm] Allocating FIFO number 1
Apr  3 00:15:32 macbook kernel: [drm] nouveau_fifo_alloc: initialised FIFO 1
Apr  3 00:15:32 macbook kernel: pci 0000:01:00.0: Invalid ROM contents
Comment 1 Bug Zapper 2009-06-09 09:11:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Vedran Miletić 2009-12-04 13:51:14 EST
Is this still the case in Fedora 12?
Comment 3 David Woodhouse 2010-01-04 14:56:22 EST
Haven't seen it, no.

Note You need to log in before you can comment on or make changes to this bug.